static char rcsid []="$Id: test033.C,v 1.1 1992/11/18 21:43:10 reti Exp $";
//  $RCS$
 
//  $Log: test033.C,v $
// Revision 1.1  1992/11/18  21:43:10  reti
// Initial revision
//
#include "test.h"

main ()
{
const IntPoint ipu;    
IntPoint ip,
         ip0(),ip1(1),ip2(1,2),ip3(1,2,3),ip4(1,2,3,4),ip5(1,2,3,4,5),
         ip6;
         
const FloatPoint fpu;
FloatPoint fp,
           fp0(),fp1(1.2),fp2(1.0,2.4),
           fp6;
int i=2;
float f=2.3;
float fi=1.0;

IA::exit_on_throw=0;

#define q1(a,b) p3(a,"<",<,b)

// q1(ipu,ip0); // op with ip0 rejected by compiler
q1(ipu,ip1);
q1(ipu,ip2);
q1(ip1,ip2);
//q1(ip2,fp2); // type conversion required
q1(ip2,i);
q1(ip2,f);
//q1(ip2,2.1);//cfront


}
    
 





